
PYROS - Evolution #6721
Evolution # 6717 (Nouveau): ============== (( PYROS SOFTWARE )) ==============
Evolution # 6675 (Nouveau): ======= ((F)) MODULE - GENERAL PROJECT =======
Evolution # 6720 (Nouveau): ----- ((F)) Agent (processus permanent) -----

((T)) Agent générique
02/06/2019 08:31 pm - Etienne Pallier

Status: En cours Start date: 03/06/2019
Priority: Normal Due date:
Assignee: Etienne Pallier % Done: 52%
Category: Estimated time: 0.00 hour
Target version: Version 0.20 - Restructuring with agents (no more celery)Spent time: 0.00 hour
Description

(EP 28/1/19) Faire un agent générique AgentX qui hérite de Agent

- héritage d’une classe Agent
- Lecture config django & config UNIT (telescope)
- Communication inter-agents (et commandes) via la BD
- gérer à la fois les commandes régulières de status et les commandes spécifiques reçues

Subtasks:
Evolution # 6799: ((T)) Définir le format des COMMANDES En cours
Evolution # 6800: ((T)) get_next_command() Fermé
  Evolution # 6819: ((T)) ajout abort et stop Nouveau
Evolution # 6801: ((T)) update_survey() Fermé
Evolution # 6802: ((T)) general_process() Fermé
Evolution # 6803: ((T)) AgentX specific_process() : execution dans un thread Fermé
Evolution # 6804: ((T)) AgentDevice En cours
Evolution # 6805: ((T)) purge_commands() Fermé
Evolution # 6806: ((T)) LOG En cours
Evolution # 6820: ((T)) pb temps UTC Nouveau

History
#1 - 02/06/2019 09:01 pm - Etienne Pallier
- Target version set to Version 0.20 - Restructuring with agents (no more celery)

#2 - 02/06/2019 09:01 pm - Etienne Pallier
- Assignee set to Etienne Pallier

#3 - 02/08/2019 11:54 am - Etienne Pallier
- Description updated

#4 - 02/28/2019 08:50 am - Etienne Pallier
- % Done changed from 0 to 40

#5 - 03/05/2019 03:21 pm - Etienne Pallier
- % Done changed from 40 to 60

#6 - 03/06/2019 10:23 am - Etienne Pallier
- Status changed from Nouveau to En cours

#7 - 03/06/2019 10:32 am - Etienne Pallier
- Status changed from En cours to Nouveau

#8 - 03/06/2019 10:34 am - Etienne Pallier
- Status changed from Nouveau to En cours

#9 - 03/06/2019 12:40 pm - Etienne Pallier
- Target version deleted (Version 0.20 - Restructuring with agents (no more celery))

#10 - 03/06/2019 12:40 pm - Etienne Pallier
- Target version set to Version 0.20 - Restructuring with agents (no more celery)
